<?php

namespace App\Modules\Clients;

use Illuminate\Support\Facades\Event;
use App\Modules\Clients\Events\DynamicsClientSync;
use App\Modules\Clients\Events\DynamicsCustomerSync;
use App\Modules\Clients\Events\DynamicsSiteSync;
use App\Modules\Clients\Events\DynamicsSiteUserSync;

class ServiceProvider extends \App\Modules\ServiceProvider
{
    public function register()
    {
        parent::register('clients');
        parent::register('sites');
    }

    public function boot()
    {
        parent::boot('clients');
        parent::boot('clients');

        Event::subscribe(new DynamicsCustomerSync());
        Event::subscribe(new DynamicsClientSync());
        Event::subscribe(new DynamicsSiteSync());
        Event::subscribe(new DynamicsSiteUserSync());
    }
}
